JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.apps.confirmUpload('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.message);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.apps.confirm_upload(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.message)curl --request POST \
--url https://api.mobilerun.ai/v1/apps/{id}/confirm-upload \
--header 'Authorization: Bearer <token>'
{
"message": "<string>",
"success": true
}{
"actualBytes": 123,
"error": "APP_FILE_TOO_LARGE",
"fileName": "<string>",
"maxFileBytes": 123
}Apps Cloud Storage
Confirm successful app upload
Verifies the uploaded files and sets the app version status to available. Idempotent: replaying confirmation for an already-available version returns the same successful response without re-verifying the files.
POST
/
apps
/
{id}
/
confirm-upload
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.apps.confirmUpload('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.message);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.apps.confirm_upload(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.message)Was this page helpful?
⌘I